Mandrake Linux Security Advisory : mplayer (MDKSA-2007:143)

High Nessus Plugin ID 25685


The remote Mandrake Linux host is missing one or more security updates.


Multiple stack-based buffer overflows in stream/stream_cddb.c in MPlayer before 1.0rc1try3 allow remote attackers to execute arbitrary code via a CDDB entry with a long (1) album title or (2) category.

Updated packages have been patched to prevent this issue.


Update the affected packages.

Plugin Details

Severity: High

ID: 25685

File Name: mandrake_MDKSA-2007-143.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2007/07/10

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:libdha1.0, p-cpe:/a:mandriva:linux:mencoder, p-cpe:/a:mandriva:linux:mplayer, p-cpe:/a:mandriva:linux:mplayer-doc, p-cpe:/a:mandriva:linux:mplayer-gui, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/07/10

Reference Information

CVE: CVE-2007-2948

MDKSA: 2007:143